Linux localhost 6.1.10-x86_64-linode159 #1 SMP PREEMPT_DYNAMIC Wed Feb 8 14:14:45 EST 2023 x86_64
Apache/2.4.25 (Debian)
Server IP : 45.33.61.127 & Your IP : 216.73.216.156
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
bash
1.05
MB
-rwxr-xr-x
2017-05-15 19:45
bunzip2
34.62
KB
-rwxr-xr-x
2017-01-29 18:30
busybox
657.48
KB
-rwxr-xr-x
2021-02-15 10:42
bzcat
34.62
KB
-rwxr-xr-x
2017-01-29 18:30
bzcmp
2.09
KB
-rwxr-xr-x
2017-01-29 18:30
bzdiff
2.09
KB
-rwxr-xr-x
2017-01-29 18:30
bzegrep
3.56
KB
-rwxr-xr-x
2017-01-29 18:30
bzexe
4.76
KB
-rwxr-xr-x
2017-01-29 18:30
bzfgrep
3.56
KB
-rwxr-xr-x
2017-01-29 18:30
bzgrep
3.56
KB
-rwxr-xr-x
2017-01-29 18:30
bzip2
34.62
KB
-rwxr-xr-x
2017-01-29 18:30
bzip2recover
14.32
KB
-rwxr-xr-x
2017-01-29 18:30
bzless
1.27
KB
-rwxr-xr-x
2017-01-29 18:30
bzmore
1.27
KB
-rwxr-xr-x
2017-01-29 18:30
cat
34.85
KB
-rwxr-xr-x
2017-02-22 12:23
chgrp
62.91
KB
-rwxr-xr-x
2017-02-22 12:23
chmod
58.88
KB
-rwxr-xr-x
2017-02-22 12:23
chown
62.95
KB
-rwxr-xr-x
2017-02-22 12:23
chvt
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
cp
127.45
KB
-rwxr-xr-x
2017-02-22 12:23
cpio
142.45
KB
-rwxr-xr-x
2016-11-29 12:31
dash
114.46
KB
-rwxr-xr-x
2017-01-24 05:16
date
102.98
KB
-rwxr-xr-x
2017-02-22 12:23
dd
75.02
KB
-rwxr-xr-x
2017-02-22 12:23
df
83.68
KB
-rwxr-xr-x
2017-02-22 12:23
dir
127.67
KB
-rwxr-xr-x
2017-02-22 12:23
dmesg
71.32
KB
-rwxr-xr-x
2018-03-07 18:29
dnsdomainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
domainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
dumpkeys
162.98
KB
-rwxr-xr-x
2016-01-05 16:55
echo
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
egrep
28
B
-rwxr-xr-x
2017-01-23 18:18
false
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
fgconsole
10.38
KB
-rwxr-xr-x
2016-01-05 16:55
fgrep
28
B
-rwxr-xr-x
2017-01-23 18:18
findmnt
60.62
KB
-rwxr-xr-x
2018-03-07 18:29
fuser
35.76
KB
-rwxr-xr-x
2015-08-17 13:18
grep
210.31
KB
-rwxr-xr-x
2017-01-23 18:18
gunzip
2.25
KB
-rwxr-xr-x
2016-03-14 20:41
gzexe
5.79
KB
-rwxr-xr-x
2016-03-14 20:41
gzip
100.01
KB
-rwxr-xr-x
2016-03-14 20:41
hostname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
ip
432.1
KB
-rwxr-xr-x
2017-11-24 09:22
journalctl
66.43
KB
-rwxr-xr-x
2019-07-21 18:43
kbd_mode
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
kill
26.08
KB
-rwxr-xr-x
2018-05-17 10:56
kmod
146.18
KB
-rwxr-xr-x
2016-12-26 02:42
less
161.82
KB
-rwxr-xr-x
2016-02-28 11:28
lessecho
10.02
KB
-rwxr-xr-x
2016-02-28 11:28
lessfile
7.58
KB
-rwxr-xr-x
2016-02-28 11:28
lesskey
19.36
KB
-rwxr-xr-x
2016-02-28 11:28
lesspipe
7.58
KB
-rwxr-xr-x
2016-02-28 11:28
ln
54.92
KB
-rwxr-xr-x
2017-02-22 12:23
loadkeys
199.46
KB
-rwxr-xr-x
2016-01-05 16:55
login
51.4
KB
-rwxr-xr-x
2017-05-17 11:59
loginctl
46.34
KB
-rwxr-xr-x
2019-07-21 18:43
ls
127.67
KB
-rwxr-xr-x
2017-02-22 12:23
lsblk
79.47
KB
-rwxr-xr-x
2018-03-07 18:29
lsmod
146.18
KB
-rwxr-xr-x
2016-12-26 02:42
mkdir
79.13
KB
-rwxr-xr-x
2017-02-22 12:23
mknod
67.04
KB
-rwxr-xr-x
2017-02-22 12:23
mktemp
42.88
KB
-rwxr-xr-x
2017-02-22 12:23
more
38.82
KB
-rwxr-xr-x
2018-03-07 18:29
mount
43.27
KB
-rwsr-xr-x
2018-03-07 18:29
mountpoint
14.49
KB
-rwxr-xr-x
2018-03-07 18:29
mt
71.27
KB
-rwxr-xr-x
2016-11-29 12:31
mt-gnu
71.27
KB
-rwxr-xr-x
2016-11-29 12:31
mv
123.45
KB
-rwxr-xr-x
2017-02-22 12:23
nano
220.04
KB
-rwxr-xr-x
2017-01-11 02:10
nc
26.63
KB
-rwxr-xr-x
2014-09-11 07:11
nc.traditional
26.63
KB
-rwxr-xr-x
2014-09-11 07:11
netcat
26.63
KB
-rwxr-xr-x
2014-09-11 07:11
networkctl
42.34
KB
-rwxr-xr-x
2019-07-21 18:43
nisdomainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
open
18.95
KB
-rwxr-xr-x
2016-01-05 16:55
openvt
18.95
KB
-rwxr-xr-x
2016-01-05 16:55
pidof
22.68
KB
-rwxr-xr-x
2017-02-12 21:55
ping
59.8
KB
-rwsr-xr-x
2016-11-10 06:23
ping4
59.8
KB
-rwsr-xr-x
2016-11-10 06:23
ping6
59.8
KB
-rwsr-xr-x
2016-11-10 06:23
ps
126.3
KB
-rwxr-xr-x
2018-05-17 10:56
pwd
34.82
KB
-rwxr-xr-x
2017-02-22 12:23
rbash
1.05
MB
-rwxr-xr-x
2017-05-15 19:45
readlink
42.79
KB
-rwxr-xr-x
2017-02-22 12:23
rm
62.91
KB
-rwxr-xr-x
2017-02-22 12:23
rmdir
42.79
KB
-rwxr-xr-x
2017-02-22 12:23
rnano
220.04
KB
-rwxr-xr-x
2017-01-11 02:10
run-parts
18.84
KB
-rwxr-xr-x
2017-04-02 17:10
sed
103.33
KB
-rwxr-xr-x
2017-02-04 15:16
setfont
42.74
KB
-rwxr-xr-x
2016-01-05 16:55
setupcon
37.24
KB
-rwxr-xr-x
2017-04-07 03:55
sh
114.46
KB
-rwxr-xr-x
2017-01-24 05:16
sh.distrib
114.46
KB
-rwxr-xr-x
2017-01-24 05:16
sleep
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
ss
125.17
KB
-rwxr-xr-x
2017-11-24 09:22
stty
74.88
KB
-rwxr-xr-x
2017-02-22 12:23
su
39.59
KB
-rwsr-xr-x
2017-05-17 11:59
sync
30.76
KB
-rwxr-xr-x
2017-02-22 12:23
systemctl
170.43
KB
-rwxr-xr-x
2019-07-21 18:43
systemd
1.07
MB
-rwxr-xr-x
2019-07-21 18:43
systemd-ask-password
10.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-escape
14.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-hwdb
74.74
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-inhibit
14.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-machine-id-setup
18.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-notify
10.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-sysusers
38.41
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-tmpfiles
54.41
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-tty-ask-password-agent
26.34
KB
-rwxr-xr-x
2019-07-21 18:43
tailf
22.69
KB
-rwxr-xr-x
2018-03-07 18:29
tar
407.13
KB
-rwxr-xr-x
2016-10-30 06:35
tempfile
10.43
KB
-rwxr-xr-x
2017-04-02 17:10
touch
90.98
KB
-rwxr-xr-x
2017-02-22 12:23
true
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
udevadm
450.74
KB
-rwxr-xr-x
2019-07-21 18:43
umount
30.98
KB
-rwsr-xr-x
2018-03-07 18:29
uname
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
uncompress
2.25
KB
-rwxr-xr-x
2016-03-14 20:41
unicode_start
2.7
KB
-rwxr-xr-x
2016-01-05 16:55
vdir
127.67
KB
-rwxr-xr-x
2017-02-22 12:23
wdctl
30.73
KB
-rwxr-xr-x
2018-03-07 18:29
which
946
B
-rwxr-xr-x
2017-04-02 17:10
ypdomainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
zcat
1.89
KB
-rwxr-xr-x
2016-03-14 20:41
zcmp
1.74
KB
-rwxr-xr-x
2016-03-14 20:41
zdiff
5.63
KB
-rwxr-xr-x
2016-03-14 20:41
zegrep
140
B
-rwxr-xr-x
2016-03-14 20:41
zfgrep
140
B
-rwxr-xr-x
2016-03-14 20:41
zforce
2.08
KB
-rwxr-xr-x
2016-03-14 20:41
zgrep
5.8
KB
-rwxr-xr-x
2016-03-14 20:41
zless
1.99
KB
-rwxr-xr-x
2016-03-14 20:41
zmore
1.87
KB
-rwxr-xr-x
2016-03-14 20:41
znew
4.93
KB
-rwxr-xr-x
2016-03-14 20:41
Save
Rename
#!/bin/sh # zgrep -- a wrapper around a grep program that decompresses files as needed # Adapted from a version sent by Charles Levert <charles@comm.polymtl.ca> # Copyright (C) 1998, 2001, 2002, 2006, 2007, 2009, 2010 Free Software # Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH grep='${GREP-'\''/bin/grep'\''}' version='zgrep (gzip) 1.6 Copyright (C) 2010-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly.' usage="Usage: $0 [OPTION]... [-e] PATTERN [FILE]... Look for instances of PATTERN in the input FILEs, using their uncompressed contents if they are compressed. OPTIONs are the same as for 'grep'. Report bugs to <bug-gzip@gnu.org>." # sed script to escape all ' for the shell, and then (to handle trailing # newlines correctly) append ' to the last line. escape=' s/'\''/'\''\\'\'''\''/g $s/$/'\''/ ' operands= have_pat=0 files_with_matches=0 files_without_matches=0 no_filename=0 with_filename=0 while test $# -ne 0; do option=$1 shift optarg= case $option in (-[0123456789EFGHIKLPRTUVZabchilnoqrsuvwxyz]*[!0123456789]*) arg2=-\'$(expr "X$option" : 'X-.[0-9]*\(.*\)' | sed "$escape") eval "set -- $arg2 "'${1+"$@"}' option=$(expr "X$option" : 'X\(-.[0-9]*\)');; (--binary-*=* | --[lm]a*=* | --reg*=*) ;; (-[ABCDXdefm] | binary-* | --file | --[lm]a* | --reg*) case ${1?"$option option requires an argument"} in (*\'*) optarg=" '"$(printf '%s\n' "$1" | sed "$escape");; (*) optarg=" '$1'";; esac shift;; (-f?*\'*) optarg=" '"$(expr "X$option" : 'X-f\(.*\)' | sed "$escape") option=-f;; (-f?*) optarg=" '"$(expr "X$option" : 'X-f\(.*\)')\' option=-f;; (--file=*\'*) optarg=" '"$(expr "X$option" : 'X--file=\(.*\)' | sed "$escape") option=--file;; (--file=*) optarg=" '"$(expr "X$option" : 'X--file=\(.*\)')\' option=--file;; (--) break;; (-?*) ;; (*) case $option in (*\'*) operands="$operands '"$(printf '%s\n' "$option" | sed "$escape");; (*) operands="$operands '$option'";; esac ${POSIXLY_CORRECT+break} continue;; esac case $option in (-[drRzZ] | --di* | --exc* | --inc* | --rec* | --nu*) printf >&2 '%s: %s: option not supported\n' "$0" "$option" exit 2;; (-e* | --reg*) have_pat=1;; (-f | --file) # The pattern is coming from a file rather than the command-line. # If the file is actually stdin then we need to do a little # magic, since we use stdin to pass the gzip output to grep. # Turn the -f option into an -e option by copying the file's # contents into OPTARG. case $optarg in (" '-'" | " '/dev/stdin'" | " '/dev/fd/0'") option=-e optarg=" '"$(sed "$escape") || exit 2;; esac have_pat=1;; (--h | --he | --hel | --help) echo "$usage" || exit 2 exit;; (-H | --wi | --wit | --with | --with- | --with-f | --with-fi \ | --with-fil | --with-file | --with-filen | --with-filena | --with-filenam \ | --with-filename) with_filename=1 continue;; (-l | --files-with-*) files_with_matches=1;; (-L | --files-witho*) files_without_matches=1;; (-h | --no-f*) no_filename=1;; (-V | --v | --ve | --ver | --vers | --versi | --versio | --version) echo "$version" || exit 2 exit;; esac case $option in (*\'?*) option=\'$(printf '%s\n' "$option" | sed "$escape");; (*) option="'$option'";; esac grep="$grep $option$optarg" done eval "set -- $operands "'${1+"$@"}' if test $have_pat -eq 0; then case ${1?"missing pattern; try \`$0 --help' for help"} in (*\'*) grep="$grep -- '"$(printf '%s\n' "$1" | sed "$escape");; (*) grep="$grep -- '$1'";; esac shift fi if test $# -eq 0; then set -- - fi exec 3>&1 res=0 for i do # Fail if gzip or grep (or sed) fails. gzip_status=$( exec 5>&1 (gzip -cdfq -- "$i" 5>&-; echo $? >&5) 3>&- | if test $files_with_matches -eq 1; then eval "$grep" >/dev/null && { printf '%s\n' "$i" || exit 2; } elif test $files_without_matches -eq 1; then eval "$grep" >/dev/null || { r=$? if test $r -eq 1; then printf '%s\n' "$i" || r=2 fi exit $r } elif test $with_filename -eq 0 && { test $# -eq 1 || test $no_filename -eq 1; }; then eval "$grep" else case $i in (*' '* | *'&'* | *'\'* | *'|'*) i=$(printf '%s\n' "$i" | sed ' $!N $s/[&\|]/\\&/g $s/\n/\\n/g ');; esac sed_script="s|^|$i:|" # Fail if grep or sed fails. r=$( exec 4>&1 (eval "$grep" 4>&-; echo $? >&4) 3>&- | sed "$sed_script" >&3 4>&- ) && exit $r r=$? test 1 -lt $r && exit $r || exit 2 fi >&3 5>&- ) r=$? test 128 -lt $r && exit $r test "$gzip_status" -eq 0 || test "$gzip_status" -eq 2 || r=2 test $res -lt $r && res=$r done exit $res